/****************************** Module Header ******************************\
* Module Name: KBDURMX.H
*
* keyboard layout header for Ukrainian & Russian (mixed)
*
* Copyright (c) 2000-2005, Alter
*
* Various defines for use by keyboard input code.
*
* History:
*
\***************************************************************************/

/*
 * kbd type should be controlled by cl command-line argument
#define KBD_TYPE 4

/*
* Include the basis of all keyboard table values
*/
#include "kbd.h"

/***************************************************************************\
* The table below defines the virtual keys for various keyboard types where
* the keyboard differ from the US keyboard.
*
* _EQ() : all keyboard types have the same virtual key for this scancode
* _NE() : different virtual keys for this scancode, depending on kbd type
*
*     +------+ +----------+----------+----------+----------+----------+----------+
*     | Scan | |    kbd   |    kbd   |    kbd   |    kbd   |    kbd   |    kbd   |
*     | code | |   type 1 |   type 2 |   type 3 |   type 4 |   type 5 |   type 6 |
\****+-------+_+----------+----------+----------+----------+----------+----------+*/

/*#undef  T0C
#define T0C _EQ(                                      OEM_4                      )
#undef  T0D
#define T0D _EQ(                                      OEM_6                      )
#undef  T15
#define T15 _EQ(                                        'Z'                      )
#undef  T1A
#define T1A _EQ(                                      OEM_1                      )
#undef  T1B
#define T1B _EQ(                                   OEM_PLUS                      )
#undef  T27
#define T27 _EQ(                                      OEM_3                      )
#undef  T29
#define T29 _EQ(                                      OEM_5                      )
#undef  T2B
#define T2B _EQ(                                      OEM_2                      )
#undef  T2C
#define T2C _EQ(                                        'Y'                      )
#undef  T35
#define T35 _EQ(                                  OEM_MINUS                      )*/

#define WCH_CYR_A		0x0410
#define WCH_CYR_B		0x0411
#define WCH_CYR_V		0x0412
#define WCH_CYR_G		0x0413
#define WCH_CYR_D		0x0414
#define WCH_CYR_Je		0x0415
#define WCH_CYR_Zh		0x0416
#define WCH_CYR_Z		0x0417
#define WCH_CYR_I		0x0418
#define WCH_CYR_J		0x0419
#define WCH_CYR_K		0x041a
#define WCH_CYR_L		0x041b
#define WCH_CYR_M		0x041c
#define WCH_CYR_N		0x041d
#define WCH_CYR_O		0x041e
#define WCH_CYR_P		0x041f
#define WCH_CYR_R		0x0420
#define WCH_CYR_S		0x0421
#define WCH_CYR_T		0x0422
#define WCH_CYR_U		0x0423
#define WCH_CYR_F		0x0424
#define WCH_CYR_H		0x0425
#define WCH_CYR_C		0x0426
#define WCH_CYR_Ch		0x0427
#define WCH_CYR_Sh		0x0428
#define WCH_CYR_Sch		0x0429
#define WCH_CYR_H_Sgn		0x042a
#define WCH_CYR_Y		0x042b
#define WCH_CYR_S_Sgn		0x042c
#define WCH_CYR_E		0x042d
#define WCH_CYR_Ju		0x042e
#define WCH_CYR_Ja		0x042f

#define WCH_CYR_a		0x0430
#define WCH_CYR_b		0x0431
#define WCH_CYR_v		0x0432
#define WCH_CYR_g		0x0433
#define WCH_CYR_d		0x0434
#define WCH_CYR_je		0x0435
#define WCH_CYR_zh		0x0436
#define WCH_CYR_z		0x0437
#define WCH_CYR_i		0x0438
#define WCH_CYR_j		0x0439
#define WCH_CYR_k		0x043a
#define WCH_CYR_l		0x043b
#define WCH_CYR_m		0x043c
#define WCH_CYR_n		0x043d
#define WCH_CYR_o		0x043e
#define WCH_CYR_p		0x043f
#define WCH_CYR_r		0x0440
#define WCH_CYR_s		0x0441
#define WCH_CYR_t		0x0442
#define WCH_CYR_u		0x0443
#define WCH_CYR_f		0x0444
#define WCH_CYR_h		0x0445
#define WCH_CYR_c		0x0446
#define WCH_CYR_ch		0x0447
#define WCH_CYR_sh		0x0448
#define WCH_CYR_sch		0x0449
#define WCH_CYR_h_Sgn		0x044a
#define WCH_CYR_y		0x044b
#define WCH_CYR_s_Sgn		0x044c
#define WCH_CYR_e		0x044d
#define WCH_CYR_ju		0x044e
#define WCH_CYR_ja		0x044f

#define WCH_CYR_Jo		0x0401
#define WCH_CYR_jo		0x0451

#define WCH_CYR_Gh_Ukr		0x0403
#define WCH_CYR_gh_Ukr		0x0453

#define WCH_CYR_Je_Ukr		0x0404
#define WCH_CYR_je_Ukr		0x0454

#define WCH_CYR_I_Ukr		0x0406
#define WCH_CYR_i_Ukr		0x0456

#define WCH_CYR_Ji_Ukr		0x0407
#define WCH_CYR_ji_Ukr		0x0457

